Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Path Parameters

public_id
string
required

Body

application/json
start_date
string<date>
end_date
string<date>

Must be on or after start_date.

Response

200 - application/json
id
string
required
read-only
member
string
required
read-only

Member ID, or an expanded member object when using expand[].

open_enrollment_window
string | null
required
read-only

Open enrollment window ID, for open_enrollment windows.

type
enum<string>
required
  • new_hire - Opened by the member being hired or rehired.
  • open_enrollment - Opened by the employer's open enrollment.
Available options:
new_hire,
open_enrollment
event_date
string<date>
required
read-only

The hire date for new_hire windows, or the renewal date for open_enrollment windows.

start_date
string<date>
required
read-only

The first day the member may make elections.

end_date
string<date>
required
read-only

The last day the member may make elections.

dates_adjusted_at
string<date-time> | null
required
read-only

When the dates were last edited through the API.